cannot change IM status from the MeMenu

Bug #725603 reported by Omer Akram on 2011-02-26
16
This bug affects 3 people
Affects Status Importance Assigned to Milestone
DBus Menu
Fix Released
Medium
Ted Gould
The Me Menu
Undecided
Unassigned
indicator-me (Ubuntu)
Undecided
Unassigned
libdbusmenu (Ubuntu)
High
Ted Gould

Bug Description

Binary package hint: indicator-me

In Natty all the status options are disabled in the MeMenu even if I am logged in to empathy.

Steps to reproduce:
Just start empathy on a fully updated natty and login to a gtalk account, see the status items are disabled in MeMenu.

ProblemType: Bug
DistroRelease: Ubuntu 11.04
Package: indicator-me 0.2.13-0ubuntu2
ProcVersionSignature: Ubuntu 2.6.38-5.32-generic 2.6.38-rc6
Uname: Linux 2.6.38-5-generic i686
Architecture: i386
Date: Sat Feb 26 20:46:14 2011
InstallationMedia: Ubuntu 11.04 "Natty Narwhal" - Alpha i386 (20110226)
ProcEnviron:
 LANGUAGE=en_US:en
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: indicator-me

Related branches

Omer Akram (om26er) wrote :
nmarques (nmo-marques) wrote :

I'm having this very same problem in openSUSE... the only solution is to pull a console and 'killall gnome-panel' (GNOME2).

The last update 0.2.14 hasn't fixed this issue.

Ken VanDine (ken-vandine) wrote :

I have narrowed down the dbusmenu commit that caused this bug:
------------------------------------------------------------
    revno: 249.2.2
    committer: Ted Gould <email address hidden>
    branch nick: proxy-test-fix
    timestamp: Tue 2011-03-01 21:12:03 -0600
    message:
      Delaying the removal from the hashtable.
------------------------------------------------------------

Changed in dbusmenu:
assignee: nobody → Ted Gould (ted)
importance: Undecided → Medium
Changed in libdbusmenu (Ubuntu):
assignee: nobody → Ted Gould (ted)
importance: Undecided → High
status: New → Confirmed
Ted Gould (ted) on 2011-03-07
Changed in dbusmenu:
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libdbusmenu - 0.3.100-0ubuntu3

---------------
libdbusmenu (0.3.100-0ubuntu3) natty; urgency=low

  * libdbusmenu-glib/menuitem.c
    - Steal earlier instead of later so that signal handlers don't find the
      value in the hashtable (LP: #725603) (LP: #730198)
 -- Ken VanDine <email address hidden> Mon, 07 Mar 2011 14:27:09 -0500

Changed in libdbusmenu (Ubuntu):
status: Confirmed → Fix Released
Changed in indicator-me (Ubuntu):
status: New → Fix Released
Changed in indicator-me:
status: New → Invalid
Changed in indicator-me (Ubuntu):
status: Fix Released → Invalid
Ted Gould (ted) on 2011-03-07
Changed in dbusmenu:
status: In Progress → Fix Committed
Ted Gould (ted) on 2011-03-10
Changed in dbusmenu:
milestone: none → 0.3.101
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers